Loading...
Searching...
No Matches
SHPInfo Struct Reference

`#include <shapefil.h>`

Collaboration diagram for SHPInfo:
[legend]

## Data Fields

SAHooks | sHooks
SAFile | fpSHP
SAFile | fpSHX
int | nShapeType
unsigned int | nFileSize
int | nRecords
int | nMaxRecords
unsigned int * | panRecOffset
unsigned int * | panRecSize
double | adBoundsMin [4]
double | adBoundsMax [4]
int | bUpdated
unsigned char * | pabyRec
int | nBufSize
int | bFastModeReadObject
unsigned char * | pabyObjectBuf
int | nObjectBufSize
SHPObject * | psCachedObject

## Detailed Description

Definition at line 161 of file shapefil.h.

## Field Documentation

## adBoundsMax

double SHPInfo::adBoundsMax[4]

Definition at line 177 of file shapefil.h.

Referenced by SHPGetInfo(), SHPOpenLL(), SHPWriteHeader(), and SHPWriteObject().

## adBoundsMin

double SHPInfo::adBoundsMin[4]

Definition at line 176 of file shapefil.h.

Referenced by SHPGetInfo(), SHPOpenLL(), SHPWriteHeader(), and SHPWriteObject().

## bFastModeReadObject

int SHPInfo::bFastModeReadObject

Definition at line 184 of file shapefil.h.

Referenced by SHPSetFastModeReadObject().

## bUpdated

int SHPInfo::bUpdated

Definition at line 179 of file shapefil.h.

Referenced by SHPClose(), SHPCreateLL(), SHPOpenLL(), and SHPWriteObject().

## fpSHP

SAFile SHPInfo::fpSHP

Definition at line 164 of file shapefil.h.

Referenced by SHPClose(), SHPCreateLL(), SHPOpenLL(), SHPWriteHeader(), and SHPWriteObject().

## fpSHX

SAFile SHPInfo::fpSHX

Definition at line 165 of file shapefil.h.

Referenced by SHPClose(), SHPCreateLL(), SHPOpenLL(), and SHPWriteHeader().

## nBufSize

int SHPInfo::nBufSize

Definition at line 182 of file shapefil.h.

## nFileSize

unsigned int SHPInfo::nFileSize

Definition at line 169 of file shapefil.h.

Referenced by SHPCreateLL(), SHPOpenLL(), SHPWriteHeader(), and SHPWriteObject().

## nMaxRecords

int SHPInfo::nMaxRecords

Definition at line 172 of file shapefil.h.

Referenced by SHPOpenLL(), and SHPWriteObject().

## nObjectBufSize

int SHPInfo::nObjectBufSize

Definition at line 186 of file shapefil.h.

## nRecords

int SHPInfo::nRecords

Definition at line 171 of file shapefil.h.

Referenced by SHPGetInfo(), SHPOpenLL(), SHPWriteHeader(), and SHPWriteObject().

## nShapeType

int SHPInfo::nShapeType

Definition at line 167 of file shapefil.h.

Referenced by SHPCreateLL(), SHPGetInfo(), SHPOpenLL(), SHPWriteHeader(), and SHPWriteObject().

## pabyObjectBuf

unsigned char* SHPInfo::pabyObjectBuf

Definition at line 185 of file shapefil.h.

Referenced by SHPClose().

## pabyRec

unsigned char* SHPInfo::pabyRec

Definition at line 181 of file shapefil.h.

Referenced by SHPClose().

## panRecOffset

unsigned int* SHPInfo::panRecOffset

Definition at line 173 of file shapefil.h.

Referenced by SHPClose(), SHPCreateLL(), SHPOpenLL(), SHPWriteHeader(), and SHPWriteObject().

## panRecSize

unsigned int* SHPInfo::panRecSize

Definition at line 174 of file shapefil.h.

Referenced by SHPClose(), SHPCreateLL(), SHPOpenLL(), SHPWriteHeader(), and SHPWriteObject().

## psCachedObject

SHPObject* SHPInfo::psCachedObject

Definition at line 187 of file shapefil.h.

Referenced by SHPClose(), and SHPSetFastModeReadObject().

## sHooks

SAHooks SHPInfo::sHooks

Definition at line 162 of file shapefil.h.

Referenced by SHPClose(), SHPCreateLL(), SHPOpenLL(), SHPWriteHeader(), and SHPWriteObject().

The documentation for this struct was generated from the following file:

- shapefil.h